Package com.collibra.dgc.core.api.dto.workflow

# Class FindWorkflowDefinitionsRequest

Object
PagedRequest
FindWorkflowDefinitionsRequest

All Implemented Interfaces:
  `Serializable`

public class FindWorkflowDefinitionsRequest extends PagedRequest
The search criteria for workflow definitions.

Only parameters that are specified in this request and have not `null` values are used for filtering. All other parameters are ignored.

The returned workflow definitions satisfy all constraints that are specified in this search criteria.

By default, the result contains up to 1000 workflow definitions.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `FindWorkflowDefinitionsRequest.Builder`
  `static enum`
  `FindWorkflowDefinitionsRequest.SortField`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindWorkflowDefinitionsRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindWorkflowDefinitionsRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `List<UUID>`
  `getAssetIds()`
  The list of the IDs of business items (assets) for which the workflow definitions should be found.
  `List<UUID>`
  `getCommunityIds()`
  The list of the IDs of business items (communities) for which the workflow definitions should be found.
  `String`
  `getDefinitionIdPhrase()`
  The ID (could be partial) of workflow definition.
  `String`
  `getDescription()`
  The description (could be partial) of the workflow definition to search for.
  `List<UUID>`
  `getDomainIds()`
  The list of the IDs of business items (domains) for which the workflow definitions should be found.
  `Boolean`
  `getEnabled()`
  Whether the found workflow definitions should be enabled.
  `Boolean`
  `getGlobal()`
  Whether the found workflow definitions should be global.
  `GuardrailsValidationResult`
  `getGuardrailsValidationResult()`
  `String`
  `getName()`
  The name (could be partial) of the workflow definition to search for.
  `FindWorkflowDefinitionsRequest.SortField`
  `getSortField()`
  `SortOrder`
  `getSortOrder()`
  The sorting order.
  `int`
  `hashCode()`
  `void`
  `setAssetIds(List<UUID> assetIds)`
  The list of the IDs of business items (assets) for which the workflow definitions should be found.
  `void`
  `setCommunityIds(List<UUID> communityIds)`
  The list of the IDs of business items (communities) for which the workflow definitions should be found.
  `void`
  `setDefinitionIdPhrase(String definitionIdPhrase)`
  The ID (could be partial) of workflow definition.
  `void`
  `setDescription(String description)`
  The description (could be partial) of the workflow definition to search for.
  `void`
  `setDomainIds(List<UUID> domainIds)`
  The list of the IDs of business items (domains) for which the workflow definitions should be found.
  `void`
  `setEnabled(Boolean enabled)`
  Whether the found workflow definitions should be enabled.
  `void`
  `setGlobal(Boolean global)`
  Whether the found workflow definitions should be global.
  `void`
  `setGuardrailsValidationResult(GuardrailsValidationResult guardrailsValidationResult)`
  `void`
  `setName(String name)`
  The name (could be partial) of the workflow definition to search for.
  `void`
  `setSortField(FindWorkflowDefinitionsRequest.SortField sortField)`
  `void`
  `setSortOrder(SortOrder sortOrder)`
  The sorting order.
  `String`
  `toString()`

  ### Methods inherited from class PagedRequest

  `getCountLimit, getLimit, getOffset, isPagingActive, setCountLimit, setLimit, setOffset`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindWorkflowDefinitionsRequest

    public FindWorkflowDefinitionsRequest()

- ## Method Details

  - ### builder

    public static FindWorkflowDefinitionsRequest.Builder builder()

  - ### getAssetIds

    public List<UUID> getAssetIds()
    The list of the IDs of business items (assets) for which the workflow definitions should be found.

  - ### getDomainIds

    public List<UUID> getDomainIds()
    The list of the IDs of business items (domains) for which the workflow definitions should be found.

  - ### getCommunityIds

    public List<UUID> getCommunityIds()
    The list of the IDs of business items (communities) for which the workflow definitions should be found.

  - ### getEnabled

    public Boolean getEnabled()
    Whether the found workflow definitions should be enabled.

  - ### getGlobal

    public Boolean getGlobal()
    Whether the found workflow definitions should be global.

  - ### getDefinitionIdPhrase

    public String getDefinitionIdPhrase()
    The ID (could be partial) of workflow definition.

  - ### getName

    public String getName()
    The name (could be partial) of the workflow definition to search for.

  - ### getSortOrder

    public SortOrder getSortOrder()
    The sorting order.

  - ### getSortField

    public FindWorkflowDefinitionsRequest.SortField getSortField()

  - ### getDescription

    public String getDescription()
    The description (could be partial) of the workflow definition to search for.

  - ### getGuardrailsValidationResult

    public GuardrailsValidationResult getGuardrailsValidationResult()

  - ### setAssetIds

    public void setAssetIds(List<UUID> assetIds)
    The list of the IDs of business items (assets) for which the workflow definitions should be found.

  - ### setDomainIds

    public void setDomainIds(List<UUID> domainIds)
    The list of the IDs of business items (domains) for which the workflow definitions should be found.

  - ### setCommunityIds

    public void setCommunityIds(List<UUID> communityIds)
    The list of the IDs of business items (communities) for which the workflow definitions should be found.

  - ### setEnabled

    public void setEnabled(Boolean enabled)
    Whether the found workflow definitions should be enabled.

  - ### setGlobal

    public void setGlobal(Boolean global)
    Whether the found workflow definitions should be global.

  - ### setDefinitionIdPhrase

    public void setDefinitionIdPhrase(String definitionIdPhrase)
    The ID (could be partial) of workflow definition.

  - ### setName

    public void setName(String name)
    The name (could be partial) of the workflow definition to search for.

  - ### setSortOrder

    public void setSortOrder(SortOrder sortOrder)
    The sorting order.

  - ### setSortField

    public void setSortField(FindWorkflowDefinitionsRequest.SortField sortField)

  - ### setDescription

    public void setDescription(String description)
    The description (could be partial) of the workflow definition to search for.

  - ### setGuardrailsValidationResult

    public void setGuardrailsValidationResult(GuardrailsValidationResult guardrailsValidationResult)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `PagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `PagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `PagedRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PagedRequest`